classification
Title: "Thread Programming With Python" should be removed
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, ned.deily, nedbat, pitrou, r.david.murray, tshepang
Priority: normal Keywords:

Created on 2013-01-21 20:20 by nedbat, last changed 2014-04-14 17:23 by gvanrossum. This issue is now closed.

Messages (7)
msg180355 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2013-01-21 20:20
Sorry if this is the wrong bug tracker for this issue.

Someone just asked in #python what they should do about the fact that Python has no threads on the Mac.  When asked why they thought that, they pointed to this:   http://www.python.org/doc/essays/threads.html

This essay is undated and unsigned, and is out of date.  It should be removed from the site, or significantly edited, or at least marked at the top as "For Historical Interest Only."
msg180356 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-01-21 20:22
I think these files are outside of the CPython doc tree, they are probably static files on the server. 
That said, I agree it would be good to either add the "deprecated, kept only for historical purposes" note at the top of every file there, or simply remove them.
msg180363 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-22 01:11
Given that the note at the top says that it's an unfinished draft, I think removing it would be fine.  It might be nice to see if there's anything still relevant that could be moved to the official docs, and possibly find out who wrote it and if he's ok with the removal.
msg180364 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-01-22 04:03
It's included in a directory of Guido's essays (http://www.python.org/doc/essays/).  Guido, any thoughts about this and the others?
msg180365 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2013-01-22 05:09
I'd like to keep the essay around as a permalink, but I don't object against putting some red text at the top warning people is is horribly out of date, and linking to a better tutorial.
msg216111 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-04-14 16:56
Well, with the new website the url now returns a 404, so I guess we can close this.  If someone wants to see it restored as a historical document, that would be an issue for the web site bug tracker.  But, since other essays exist, it looks like it was a conscious decision on someone's part to omit this one.
msg216116 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-04-14 17:14
I don't think it was a conscious decision. Unlike most of the others, the link for this essay is to the 2.2 docs tree.  I'm guessing there was a redirect there that has gone AWOL.
History
Date User Action Args
2014-04-14 17:23:50gvanrossumsetnosy: - gvanrossum
2014-04-14 17:14:06ned.deilysetmessages: + msg216116
2014-04-14 16:56:18r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg216111

resolution: fixed
stage: resolved
2013-01-26 15:28:19tshepangsetnosy: + tshepang
2013-01-22 05:09:18gvanrossumsetmessages: + msg180365
2013-01-22 04:03:09ned.deilysetnosy: + ned.deily, gvanrossum
messages: + msg180364
2013-01-22 01:11:56ezio.melottisettype: enhancement
messages: + msg180363
2013-01-21 20:22:00pitrousetnosy: + pitrou, ezio.melotti, docs@python
messages: + msg180356

assignee: docs@python
components: + Documentation, - None
2013-01-21 20:20:22nedbatcreate